#ifndef ALARM_TREE_WIDGET_ITEM_H
#define ALARM_TREE_WIDGET_ITEM_H

#include <QStringList>
#include <QTreeWidgetItem>

class QTreeWidget;

class AlarmTreeWidgetItem : public QTreeWidgetItem
{
	public:

        enum Columns { DateTime, muSecs, Alarm, Status, Ack, Level,
                       SilencedMin, Device, Message };

                AlarmTreeWidgetItem(QTreeWidget *parent, QStringList &strings);
                AlarmTreeWidgetItem(QStringList &strings);


        virtual ~AlarmTreeWidgetItem();
		void setToHide(bool en) { _hide = en; }
		bool toHide() { return _hide; }

        void update(const QStringList &fields);

        void setColor(const QString& colorField);

        void setNew(bool isNew);

	protected:

	private:
		bool _hide;

        bool mHasMutedIcon;

        QIcon mNullIcon, mMutedIcon;

private:
        void m_init(QStringList& strings);

};










#endif

